gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Global accelerator map for an entire application. This class is a singleton; only one can exist at a time.
- Constructor
  Protected constructor.
- Constructor
  a
  Internal constructor
  This is not typically used by C# code.
- Method
  System.Void `` `` `` a a a Registers a new accelerator with the global accelerator map. This function should only be called once per with the canonical and for this path. To change the accelerator during runtime programatically, use . The accelerator path must consist of "<WINDOWTYPE>/Category1/Category2/.../Action", where <WINDOWTYPE> should be a unique application-specific identifier, that corresponds to the kind of window the accelerator is being used in, e.g. "Gimp-Image", "Abiword-Document" or "Gnumeric-Settings". The Category1/.../Action portion is most appropriately chosen by the action the accelerator triggers, i.e. for accelerators on menu items, choose the item's menu path, e.g. "File/Save As", "Image/View/Zoom" or "Edit/Select All". So a full valid accelerator path may look like: "<Gimp-Toolbox>/File/Dialogs/Tool Options...".
- Method
  System.Void `` a Adds a filter to the global list of accel path filters.

  Accel map entries whose accel path matches one of the filters are skipped by .

  This function is intended for Gtk# modules that create their own menus but don't want them to be saved into the applications accelerator map dump.

- Method
  System.Boolean `` `` `` `` a a a a Changes the and currently associated with . a Due to conflicts with other accelerators, a change may not always be possible. The parameter indicates whether other accelerators may be deleted to resolve such conflicts. A change will only occur if all conflicts could be resolved (which might not be the case if conflicting accelerators are locked). Successful changes are indicated by a return value.
- Method
  System.Void `` `` a , data to pass to a , function to execute on each accel map entrey Loops over the entries in the accelerator map whose accel path doesn't match any of the filters added with and executes on each. See also . XXX: See http://bugzilla.ximian.com/show_bug.cgi?id=70912.
- Method
  System.Void `` `` a a Loops over all entries in the accelerator map and executes * on each. See also .
- Method
  Gtk.AccelMap Gets the singleton global. object. This object is useful only for notification of changes to the accelerator map via the internal "changed" signal; it isn't a parameter to the other accelerator map functions. a
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` a Parses a file previously saved with for accelerator specifications, and propagates them accordingly.
- Method
  System.Void `` a , a valid readable file descriptor. File descriptor variant of .
- Method
  System.Void `` a Locks the given accelerator path. If the accelerator map doesn't yet contain an entry for , a new one is created.

  Locking an accelerator path prevents its accelerator from being changed during runtime. A locked accelerator path can be unlocked by . Refer to for information about runtime accelerator changes.

  If called more than once, remains locked until has been called an equivalent number of times.

  Note that locking of individual accelerator paths is independent from locking the containing them. For runtime accelerator changes to be possible both the accelerator path and its have to be unlocked.

- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Event
  GLib.Signal("changed")
  Gtk.MapChangedHandler Raised when there is a change to the global accelerator map.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMapChanged", Type=typeof(Gtk.AccelMap))
  System.Void `` `` `` a a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` a , a file to contain accelerator specifications Saves current accelerator specifications (accelerator path, key and modifiers) to . The file is written in a format suitable to be read back in by .
- Method
  System.Void `` a , a valid writeable file descriptor File descriptor variant of .
- Method
  System.Void `` a , a valid accelerator path Undoes the last call to on this . Refer to for information about accelerator path locking.